gnutls_sign_callback_get(3)

NAME
gnutls_sign_callback_get - API function

SYNOPSIS
#include <gnutls/compat.h>

gnutls_sign_func gnutls_sign_callback_get(gnutls_session_t session, void ** userdata);

ARGUMENTS

gnutls_session_t session
    is a gnutls session

void ** userdata
    if non-NULL, will be set to abstract callback pointer.

DESCRIPTION
Retrieve the callback function, and its userdata pointer.

RETURNS
The function pointer set by gnutls_sign_callback_set(), or if not set, NULL.

DEPRECATED
Use the PKCS 11 interfaces instead.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/